#
# spec file for package yast2-ldap-server (Version 2.13.24)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings zlib zlib-devel


Name:           yast2-ldap-server
Version:        2.13.24
Release:        0.3
License:        GPL v2 or later; X11/MIT
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ldap-server-2.13.24.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer pkg-config update-desktop-files yast2 yast2-core yast2-devtools
Requires:       yast2 perl perl-gettext yast2-perl-bindings yast2-ca-management perl-X500-DN perl-Digest-SHA1 net-tools
BuildArch:      noarch
Summary:        YaST2-Module for the configuration of an OpenLDAP Server

%description
Provides basic configuration of an OpenLDAP Server over YaST2 Control
Center and during installation.



Authors:
--------
    Andreas Bauer <abauer@suse.de>

%debug_package
%prep
%setup -n yast2-ldap-server-2.13.24

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/ldap-server
%dir /usr/share/YaST2/modules/YaPI
/usr/share/YaST2/include/ldap-server/*
/usr/share/YaST2/clients/ldap-server.ycp
/usr/share/YaST2/clients/ldap-server_*.ycp
/usr/share/YaST2/modules/LdapServer.*
/usr/share/YaST2/modules/LdapServerConf.*
/usr/share/YaST2/modules/YaPI/LdapServer.pm
%{prefix}/share/applications/YaST2/ldap-server.desktop
/usr/share/YaST2/schema/autoyast/rnc/ldap-server.rnc
/usr/share/YaST2/scrconf/*
/usr/lib/YaST2/servers_non_y2/*
%doc %{prefix}/share/doc/packages/yast2-ldap-server

%changelog
* Thu Feb 28 2008 - rhafer@suse.de
- Check for existing "shadowAccount" Objects when enabling password
  policies and warn the user (bnc#364833)
* Wed Apr 11 2007 - rhafer@suse.de
- Keep Firewall-Settings when switching to configuration Dialog (Bug
  [#259798])
- Display status of TLS configuration correctly (Bug #259806)
- Version 2.13.23
* Fri Mar 02 2007 - rhafer@suse.de
- Fixes for Bug #250228:
  * Don't write duplicate Database sections into AutoYaST profiles
  * Leave out default Server Certificate Settings as long as
  CA-Management does not export its settings
- Version 2.13.22
* Tue Feb 06 2007 - rhafer@suse.de
- Correctly Im- and Export() TLS configuration (Bug #242589)
- Added AutoYaST Schema file (Bug #242571)
* Mon Feb 05 2007 - rhafer@suse.de
- Fixed Export() for AutoYaST to also export newly created
  Databases (Bug #241101)
* Thu Feb 01 2007 - rhafer@suse.de
- Close window did not work in autoyast UI (Bug #241009)
* Wed Jan 17 2007 - rhafer@suse.de
- The Overlay subsection should aways be the last part of a
  database section (Bug #235385)
- Do not create TreeDialog multiple times. Breaks AutoYaST
  (Bug #232838)
- Version 2.13.18
* Mon Jan 15 2007 - rhafer@suse.de
- Merged proofread texts
- Version 2.13.17
* Fri Jan 12 2007 - rhafer@suse.de
- Added support of LDAP Password Policy overlay (ppolicy).
  Fate #301179.
- Version 2.13.16
* Wed May 31 2006 - rhafer@suse.de
- Fix Import/Export functions for AutoYaST (Bugzilla #179750)
- Fixed call to Package Module to detect if openldap2 package is
  installed (Bug #180142)
- Version 2.13.15
* Wed May 24 2006 - rhafer@suse.de
- Don't try to Read() config when openldap2 is not installed, e.g.
  during autoyast cloning. (Bugzilla #178159)
- Version 2.13.14
* Fri May 19 2006 - ug@suse.de
- fixed desktop file for autoyast cloning (#177082)
- Version 2.13.13
* Wed May 03 2006 - rhafer@suse.de
- Improved error message when root password is not available in
  proposal (Bugzilla #171413)
- Version 2.13.12
* Wed Apr 05 2006 - rhafer@suse.de
- Allow to open the LDAP/LDAPS ports on the firewall
  (Bugzilla #163275)
* Mon Apr 03 2006 - rhafer@suse.de
- Remove TLS settings if TLS is disabled (Bugzilla #162476)
- 2.13.10
* Thu Mar 09 2006 - rhafer@suse.de
- Better validation of rootdn and suffix in proposal
  (Bugzilla #114359)
* Mon Feb 20 2006 - rhafer@suse.de
- removed yast2-devel-packages macro BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - rhafer@suse.de
- Better checks of suffix and rootdn (Bugzilla #56638)
- 2.13.7
* Tue Jan 17 2006 - rhafer@suse.de
- Don't overwrite database configuration when viewing it
  (Bugzilla #143039)
- 2.13.6
* Fri Jan 13 2006 - rhafer@suse.de
- create first database in /var/lib/ldap
- 2.13.5
* Tue Jan 10 2006 - visnov@suse.cz
- fix syntax error in proposal
- 2.13.4
* Mon Jan 09 2006 - visnov@suse.cz
- use Package
- 2.13.3
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged proofread texts
- 2.13.2
* Fri Dec 09 2005 - rhafer@suse.de
- version 2.13.1
- suggest and create directory for new databases
* Wed Oct 19 2005 - rhafer@suse.de
- version 2.13.0
- merged fixes from 9.1 branch
* Thu Aug 18 2005 - locilka@suse.cz
- merged proofread texts
* Thu Mar 31 2005 - mc@suse.de
- add requires yast2-ca-management to spec file
* Tue Nov 30 2004 - schubi@suse.de
- changes for new yast intepreter
* Wed Jun 16 2004 - abauer@suse.de
- version 2.10.0
- merged from 9.1 branch
* Tue Jun 15 2004 - abauer@suse.de
- version 2.9.11
- #41638 - Misconfigured ldap server cannot be fixed in installation
  Append Base DN checkbox in proposal dialog defaults to true
  values are now autogenerated even if the service is disabled
* Mon Jun 14 2004 - mc@suse.de
- #41643,  slapd loglevel fills up /var/log/messages
  set default loglevel to 0
* Thu May 27 2004 - schubi@suse.de
- #41292 fixed; LDAP server module Samba hack writes multiple ACLs
- modify the indices (#41165)
* Tue May 25 2004 - schubi@suse.de
- Bug 40664 - Beta5: YaST2 ldap proposal, but no openldap2 installed
* Mon May 24 2004 - schubi@suse.de
- Bug 41069 - yast2-ldap-server does not check for openldap2.rpm
* Mon May 24 2004 - schubi@suse.de
- Bug 40839 - Installation - Service Configuration - Illogical workflow
* Thu May 13 2004 - abauer@suse.de
- version 2.9.5
- fixed wrong insert position of schema includes (#40331)
- changed _() to __() (#40160)
- proper close of all dialogs (#40061)
- added ldap client default "create_ldap" (#40484)
- changed hostname passed to ldap-client to 'localhost'
* Fri May 07 2004 - abauer@suse.de
- version 2.9.4
- added net-tools to Requires, removed openldap2 (#39578)
- openldap sysconfig agent taken from yast2-openteam-server (#39865)
- possibility to switch off slp registering (#39865)
- added schema configuration dialog (#40036)
- bugfix: rootpw was deleted from a database section if no changes were made in that section (#39975)
- bugfix: changing tree items in ncurses ui now opens the corresponding dialog (#39990)
- design changes (#39879, #39944)
- more defaults set for ldap client module (#39901, #39937)
* Fri Apr 30 2004 - abauer@suse.de
- version 2.9.3
- changed initially displayed tree item to 'databases' (#39660)
- removed 'Reload Configuration' button from global item (#39659)
- workaround for umlaut problems (#39661): database item keys in widget_map changed to md5sum of suffix
- design changes in tls dialogs
* Thu Apr 29 2004 - mc@suse.de
- version 2.9.2
- first working version
- add main UI
- improve the API
* Fri Apr 23 2004 - mc@suse.de
- version 2.9.1
- working proposal
* Thu Mar 18 2004 - abauer@suse.de
- initial version
